unit Windows;

{$ALIGN ON}
{$MINENUMSIZE 4}
{$WEAKPACKAGEUNIT}

interface

type
  UINT = Cardinal;

type
  HWND = type Pointer;

type
  LPSTR  = PAnsiChar;
  LPWSTR = PWideChar;
  LPTSTR = {$ifdef UNICODE} LPWSTR {$else} LPSTR {$endif};
  LPCSTR  = PAnsiChar;
  LPCWSTR = PWideChar;
  LPCTSTR = {$ifdef UNICODE} LPCWSTR {$else} LPCSTR {$endif};

const
  MB_OK              = $00000000;
  MB_ICONINFORMATION = $00000040;

function MessageBoxW(hWnd: HWND; lpText, lpCaption: LPCWSTR; uType: UINT): Integer; stdcall;
function MessageBoxA(hWnd: HWND; lpText, lpCaption: LPCSTR; uType: UINT): Integer; stdcall;
function MessageBox(hWnd: HWND; lpText, lpCaption: LPCTSTR; uType: UINT): Integer; stdcall;

const
  User32   = 'user32.dll';

implementation

function MessageBoxW; external User32;
function MessageBoxA; external User32;
function MessageBox; external User32 name {$ifdef UNICODE} 'MessageBoxW' {$else} 'MessageBoxA' {$endif};

end.